mscorlib 4.0.0.0 System.Object

For more information, see Custom Partitioners for PLINQ and TPL.

Provides common partitioning strategies for arrays, lists, and enumerables.

- Method
  4.0.0.0
  System.Collections.Concurrent.OrderablePartitioner<System.Tuple<System.Int32,System.Int32>> `` ``

  For more information and examples, see Custom Partitioners for PLINQ and TPL.

  Creates a partitioner that chunks the user-specified range.

  A partitioner.

  The lower, inclusive bound of the range. The upper, exclusive bound of the range.
- Method
  4.0.0.0
  System.Collections.Concurrent.OrderablePartitioner<System.Tuple<System.Int64,System.Int64>> `` ``

  For more information and examples, see Custom Partitioners for PLINQ and TPL.

  Creates a partitioner that chunks the user-specified range.

  A partitioner.

  The lower, inclusive bound of the range. The upper, exclusive bound of the range.
- Method
  4.0.0.0
  System.Collections.Concurrent.OrderablePartitioner<System.Tuple<System.Int32,System.Int32>> `` `` ``

  For more information and examples, see Custom Partitioners for PLINQ and TPL.

  Creates a partitioner that chunks the user-specified range.

  A partitioner.

  The lower, inclusive bound of the range. The upper, exclusive bound of the range. The size of each subrange.
- Method
  4.0.0.0
  System.Collections.Concurrent.OrderablePartitioner<System.Tuple<System.Int64,System.Int64>> `` `` ``

  For more information and examples, see Custom Partitioners for PLINQ and TPL.

  Creates a partitioner that chunks the user-specified range.

  A partitioner.

  The lower, inclusive bound of the range. The upper, exclusive bound of the range. The size of each subrange.
- Method
  4.0.0.0
  System.Collections.Concurrent.OrderablePartitioner<TSource> ``

  The ordering used in the created partitioner is determined by the natural order of the elements as retrieved from the source enumerable. For more information and examples, see Custom Partitioners for PLINQ and TPL.

  Creates an orderable partitioner from a instance.

  An orderable partitioner based on the input array.

  The enumerable to be partitioned. Type of the elements in source enumerable.
- Method
  4.0.0.0
  System.Collections.Concurrent.OrderablePartitioner<TSource> `` ``

  The ordering used in the created partitioner is determined by the natural order of the elements as retrieved from the source enumerable.

  Creates an orderable partitioner from a instance.

  An orderable partitioner based on the input array.

  The enumerable to be partitioned. Options to control the buffering behavior of the partitioner. Type of the elements in source enumerable.
- Method
  4.0.0.0
  System.Collections.Concurrent.OrderablePartitioner<TSource> `` ``

  For more information and examples, see Custom Partitioners for PLINQ and TPL.

  Creates an orderable partitioner from an instance.

  An orderable partitioner based on the input list.

  The list to be partitioned. A Boolean value that indicates whether the created partitioner should dynamically load balance between partitions rather than statically partition. Type of the elements in source list.
- Method
  4.0.0.0
  System.Collections.Concurrent.OrderablePartitioner<TSource> `` `` To be added. To be added. To be added. To be added. To be added. To be added.